package jp.sourceforge.acerola3d.j3dvrml;

import javax.swing.*;
import java.awt.*;

class MyVBox extends JPanel {
    private static final long serialVersionUID = 1L;
    GridBagConstraints c;
    int index;
    MyVBox() {
        this.setLayout(new GridBagLayout());
        c = new GridBagConstraints();
        c.fill = GridBagConstraints.BOTH;
        c.weightx = 1.0;
    }
    public void myAdd(Component component,double weight) {
        c.gridy = index;
        c.weighty = weight;
        this.add(component,c);
        index++;
    }
}
